/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "../../../../../../styles/openk.styles";

:host {
  width: 100%;
}

.history {
  width: 100%;
  max-height: 100%;
  overflow: auto;
  display: flex;
  box-sizing: border-box;
}

.history---border {
  border: 1px solid $openk-form-border;
  border-radius: 4px;
}

.history--table {
  flex: 1;
  width: 100%;
}

.history--table--row {
  background: $openk-background-card;
  height: auto;
}

.history--table--row---alternating-color {

  &:nth-child(odd) {
    background: $openk-background-highlight;
  }
}

.history--table--cell {
  padding: 0.3em;
}

.history--table--cell---border {
  border-bottom: 1px solid $openk-form-border;
}

.history--table--cell---bold {
  font-weight: bold;
  font-size: 14px;
}

.history--table--cell---icon-size {
  min-width: 24px;
  width: 24px;
}

.history--table--cell--icon---red {
  color: $openk-error-color;
}

.mat-header-cell:first-of-type {
  padding-left: 0.6em;
}

.mat-cell:first-of-type {
  padding-left: 0.6em;
}

.mat-header-cell:last-of-type {
  padding-right: 0.6em;
}

.mat-cell:last-of-type {
  padding-right: 0.6em;
}

.mat-row:last-of-type {

  .mat-cell {
    border-bottom: 0;
  }
}
